Subject: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Nov 2022 19:53:21 +0200

>> Could you send a screenshot that shows a newline with the :extend
>> attribute as the final character of the outline in magit?
>
> See attached, showing a recent revision from emacs.git master, with the
> diff completely folded (1.png) with hunks folded (2.png) and completely
> unfolded (3.png).
>
> I hope I understood your suspicion correctly and my answer was relevant?
> Let me know if I misunderstood.  FWIW "insert a supplementary newline
> before headings" is indeed a well-known workaround in the Org community.

Thanks for the screenshots.  What I still don't see is an example
where a newline at the end of the last line of the outline (diff hunk)
has some non-default face.  I.e. the same as in your test case in
https://debbugs.gnu.org/52587#13